Subject: Re: bug#62779: avr-gcc fails after upgrade to gcc 10

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 03 Oct 2023 22:26:36 -0400

Hi,

Kristian Lein-Mathisen <[email-masked]> writes:

> Hi,
>
> I'm no longer able to compile for attiny85:
>
> klm@pal /tmp ➤ echo '' > test.c
> klm@pal /tmp ➤ avr-gcc -mmcu=attiny85 test.c
> avr-ld: cannot find crtattiny85.o: No such file or directory
> avr-ld: cannot find -lm
> avr-ld: cannot find -lc
> avr-ld: cannot find -lattiny85
> collect2: error: ld returned 1 exit status
>
> I'm currently getting no output for avr-toolchain, which I believe is
> related:
>
>> ls -l $(guix build avr-toolchain)
> total 0

There were some changes recently [0] that means you should now use
'make-avr-toolchain', a procedure, in your manifest to have an
avr-toolchain package.

It was tested working, at least in clean environments (there's a current
caveat with toolchains where you can't use multiple of them in a same
profile in case that's what you were trying to do).

[0] see commit 35c1df5bd6317b1cd038c1a4aca1c7e4a52d4d93

-- 
Thanks,
Maxim